package models

import (
	"testing"
	"time"
)

func TestUserFavorite_TableName(t *testing.T) {
	type fields struct {
		UserID    string
		PostID    string
		CreatedAt time.Time
	}
	tests := []struct {
		name   string
		fields fields
		want   string
	}{
		{
			name:   "Test 1: Is name UserFavorites",
			fields: fields{},
			want:   "UserFavorites",
		},
	}
	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			us := UserFavorites{
				UserID:    tt.fields.UserID,
				PostID:    tt.fields.PostID,
				CreatedAt: tt.fields.CreatedAt,
			}
			if got := us.TableName(); got != tt.want {
				t.Errorf("TableName() = %v, want %v", got, tt.want)
			}
		})
	}
}
