package error

import "fmt"

const (
	UserIDIsEmpty       = "anthrovePostID cannot be empty"
	UserIDToShort       = "anthrovePostID needs to be 25 characters long"
	SourceIDEmpty       = "anthroveSourceID cannot be empty"
	SourceIDToShort     = "anthroveSourceID needs to be 25 characters long"
	UserSourceIDEmpty   = "anthroveUserSourceID cannot be empty"
	UserSourceIDToShort = "anthroveUserSourceID needs to be 25 characters long"
	TagIDEmpty          = "tagID cannot be empty"
)

type EntityValidationFailed struct {
	Reason string
}

func (e EntityValidationFailed) Error() string {
	return fmt.Sprintf("Entity validation failed: %s", e.Reason)
}
